Skip to main content
GET
/
api
/
develop
/
v1
/
project-templates
List project templates
curl --request GET \
  --url https://api.example.com/api/develop/v1/project-templates \
  --header 'X-Domino-Api-Key: <api-key>'
{
  "items": [
    {
      "access": {
        "collaborators": [
          {
            "id": "<string>",
            "role": "template_user"
          }
        ]
      },
      "categories": [
        "<string>"
      ],
      "created": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "name": "<string>",
      "owner": {
        "name": "<string>",
        "link": "<string>"
      },
      "updated": "2023-11-07T05:31:56Z",
      "base64Logo": "<string>",
      "description": "<string>",
      "isCompanyOfficial": true,
      "license": "<string>",
      "recommended": true,
      "revisionId": "<string>"
    }
  ],
  "paginationDetails": {
    "pageNumber": 123,
    "pageSize": 123,
    "sortOrder": "<string>"
  },
  "totalCount": 123
}

Authorizations

X-Domino-Api-Key
string
header
required

Query Parameters

page
integer
default:1

The page number of the collection to return. If not provided, the first page will be returned.

Required range: x >= 1
size
integer
default:10

The number of items to return per page. If not provided, 10 items will be returned per page.

Required range: 1 <= x <= 100
view
string

The view to filter on. To retrieve your own templates, pass your user ID as a string. To retrieve templates shared with you, pass in "shared". To retrieve company official templates, pass in "official". If you have Domino AI Hub templates enabled, you can also pass in "ecosystem" to retrieve those.

category
string

The category to filter on. Applies only to ecosystem templates.

owner
string

The owner to filter on. Supply user ID for custom templates and owner name for ecosystem templates.

isCompanyOfficial
boolean

To filter on company official templates.

orderBy
enum<string>
default:updated

The field to sort the collection by (in the given order).

Available options:
updated,
name,
recommended
sortOrder
enum<string>
default:desc

The direction to sort the collection by. The direction is 'desc' by default in all cases.

Available options:
asc,
desc
q
string
default:""

The search query to match on a template's name or description.

tagName
string
default:""

The custom template tag to search for.

Response

Success

items
object[]
required
paginationDetails
object
required
totalCount
integer
required